terraform {
  required_providers {
    desec = {
      source = "Valodim/desec"
      version = "0.5.0"
    }
    sops = {
      source = "carlpett/sops"
      version = "1.1.1"
    }
  }

  backend "s3" {
     bucket = "tfstate"                       # Name of the S3 bucket
     endpoints = {
         s3 = "http://192.168.76.2:8502"      # Minio endpoint
     }
     key = "dns-management/desec-io.tfstate"  # Name of the tfstate file
     workspace_key_prefix="tfstate"

    
     profile = "minio"                        # aws profile
     region = "us-east-1"                     # Region validation will be skipped
     skip_credentials_validation = true       # Skip AWS related checks and validations
     skip_requesting_account_id = true
     skip_metadata_api_check = true
     skip_region_validation = true
     skip_s3_checksum = true
     use_path_style = true                    # Enable path-style S3 URLs (https://<HOST>/<BUCKET> https://developer.hashicorp.com/terraform/language/settings/backends/s3#use_path_style
  }
}

provider sops {}

provider desec {
  api_token = data.sops_file.desec_secrets.data["desec_api"]
}
